<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-user'"
>
  @if (licenseMessage) {
    <div
      class="color-red"
      [innerHTML]="licenseMessage"
      [attr.data-test-element-id]="'license-user-warning'"
    ></div>
  }

  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form p-4">
      <label
        class="label label__align_right"
        [attr.data-test-field-id]="'loginLabel'"
        >{{ 'sqtm-core.entity.user.login.label' | translate }}</label
      >
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'login'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label
        class="label label__align_right"
        [attr.data-test-field-id]="'firstNameLabelLabel'"
        >{{ 'sqtm-core.entity.user.first-name.label' | translate }}</label
      >
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'firstName'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label
        class="label label__align_right"
        [attr.data-test-field-id]="'lastNameLabel'"
        >{{ 'sqtm-core.entity.user.last-name.label' | translate }}</label
      >
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'lastName'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label
        class="label label__align_right"
        [attr.data-test-field-id]="'emailLabel'"
        >{{ 'sqtm-core.entity.user.email.label' | translate }}</label
      >
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'email'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label
        class="label label__align_right"
        [attr.data-test-field-id]="'groupLabel'"
        >{{
          'sqtm-core.entity.user.account.group-authority.label' | translate
        }}</label
      >
      <sqtm-core-select-field
        [fieldName]="'groupId'"
        [formGroup]="formGroup"
        [options]="data.usersGroups"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-select-field>
      <label
        class="label label__align_right"
        [attr.data-test-field-id]="'passwordLabel'"
        >{{ 'sqtm-core.entity.user.account.password.label' | translate }}</label
      >
      @if (canManageLocalPassword) {
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'password'"
          [inputType]="'password'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        ></sqtm-core-text-field>
      } @else {
        <span class="m-auto-0">{{
          'sqtm-core.administration-workspace.users.managed-password'
            | translate
        }}</span>
      }
      @if (canManageLocalPassword) {
        <label
          class="label label__align_right"
          [attr.data-test-field-id]="'confirmPasswordLabel'"
          >{{
            'sqtm-core.entity.user.account.confirm-password.label' | translate
          }}</label
        >
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'confirmPassword'"
          [inputType]="'password'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        ></sqtm-core-text-field>
      }
    </div>
  </div>
</sqtm-core-creation-dialog>
